summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlcritical
diff options
context:
space:
mode:
authorManuel Pégourié-Gonnard <mpg@elzevir.fr>2010-05-21 13:40:11 +0000
committerManuel Pégourié-Gonnard <mpg@elzevir.fr>2010-05-21 13:40:11 +0000
commita818412461fe2267a0056ce5ab9a25a0032ea2c4 (patch)
tree4d3ee4a1be4876d6df04581669d17688e8cfe7db /Master/tlpkg/bin/tl-update-tlcritical
parent05a1a106bb1aa5b6e0025146a59e9b50348c7bd3 (diff)
New options --tlcrit and --recreate for tl-update-tlcritical.
git-svn-id: svn://tug.org/texlive/trunk@18401 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlcritical')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlcritical23
1 files changed, 20 insertions, 3 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlcritical b/Master/tlpkg/bin/tl-update-tlcritical
index b26ae903100..5022a2e7dfe 100755
--- a/Master/tlpkg/bin/tl-update-tlcritical
+++ b/Master/tlpkg/bin/tl-update-tlcritical
@@ -4,11 +4,28 @@
# Update the tlcritical mini-repository on tug with the critical
# packages. Also listed in tl-update-containers, unfortunately.
+tlcrit=/home/ftp/texlive/tlcritical
+recreate=
+
+while test $# -gt 0; do
+ case $1 in
+ --tlcrit) shift; tlcrit=$1;;
+ --recreate) recreate=--recreate;;
+ --help) echo "Please read the script, sorry."; exit 0;;
+ --*) echo "$0: unrecognized option \`$1'." >&2; exit 1;;
+ *) echo "$0: too many parameters" >&2; exit 1;;
+ esac
+ shift
+done
+
+if test -d "$tlcrit"; then :; else
+ echo "$0: tlcrit directory must exist." >&2
+ exit 1
+fi
+
mydir=`cd \`dirname $0\` && pwd`
PATH=$mydir:/usr/local/gnu/bin:/usr/local/bin:$PATH # sha256sum+makensis on tug
-
cd ${TMPDIR-/tmp}
-tlcrit=/home/ftp/texlive/tlcritical
# function to update one of recovery scripts (sh or exe) in tlcritical.
#
@@ -33,7 +50,7 @@ do_updater ()
# update normal containers.
echo "$0: running tl-update-containers (for critical packages)..."
-tl-update-containers -location $tlcrit -all \
+tl-update-containers -location $tlcrit $recreate -all \
00texlive.installation 00texlive.config texlive.infra tlperl.win32
# update Unix disaster recovery.